Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83997 - multiple problems with nut
Summary: multiple problems with nut
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: nut
Version: beta4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-02-10 21:24 UTC by Joshua Jensen
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-13 21:03:16 UTC


Attachments (Terms of Use)

Description Joshua Jensen 2003-02-10 21:24:03 UTC
Description of problem:

service ups start starts three daemons, all of which have problems:

/sbin/$MODEL (as set in /etc/sysconfig/ups) can't read /dev/ttyS0 as it runs as
nobody, and ttyS0 is owned by root and group-owned by uucp.  This is a problem,
and "chown nobody /dev/ttyS0" helps, but doesn't seem like the right thing to do.

The next daemon /usr/sbin/upsd looks for a non-existant /etc/ups/ups.conf, and
refuses to run after not finding it.  We need to fix this with at least an
example config file.

Last, the /usr/sbin/upsmon daemon won't start at all, becuase it can't find the
upsd daemon running.  This should be fixed when problem #2 is fixed.


Version-Release number of selected component (if applicable):

8.0 with all updates as of 02/10/2003

How reproducible:


Steps to Reproduce:
1.  change MODEL=none to MODEL=apcsmart in /etc/sysconfig/ups
2.  "service ups start"
    
Actual results:

Starting apcsmart: Network UPS Tools - APC Smart protocol driver 0.60 (0.45.4)
This program is currently running as nobody (UID 99)
/dev/ttyS0 is owned by user root (UID 0), mode 0660

Change the port name, or fix the permissions or ownership
of /dev/ttyS0 and try again.

Unable to open /dev/ttyS0: Permission denied
                                                           [FAILED]

Starting upsd: Network UPS Tools upsd 0.45.4
/var/lib/ups is world readable
Warning: no UPS definitions in ups.conf
Fatal error: you need to define at least one UPS in your ups.conf!

                                                           [FAILED]


Starting UPS monitor (master): Network UPS Tools upsmon 0.45.4

Fatal error: insufficient power configured!

Sum of power values........: 0
Minimum value (MINSUPPLIES): 1

Edit your upsmon.conf and change the values.
Using power down flag file /etc/killpower

                                                           [FAILED]



Expected Results:

A lot different ;-)

Comment 1 Joshua Jensen 2003-02-10 21:39:35 UTC
Being able to read /dev/ttyS0 (as user "nobody") is still a problem in pre-beta5
for Phoebe.

Also, while /etc/ups.conf now exists, upsd still complains that "/var/lib/ups is
world readable".  Please fix!

Comment 2 Ngo Than 2003-02-11 22:58:03 UTC
1.2.0-5 should fix all this problem. Please test it again, thanks.

Comment 3 Joshua Jensen 2003-02-13 20:32:41 UTC
I still get this error with version 1.2.0-5:

/var/lib/ups is world readable


Comment 4 Ngo Than 2003-02-13 21:03:16 UTC
1.2.0-6 should fix this problem. Could you please try again. Thanks


Note You need to log in before you can comment on or make changes to this bug.